Syndai Docs

Get a run's delivered diff

GET
/api/v1/external/coding/runs/{coding_run_id}/proposed-diff

Read the unified diff a run delivered. Large diffs are cut to a bound and truncated is then true. 404 when the run has no delivered diff yet.

Authorization

CustomerApiKey
headerAuthorizationBearer <API Key>

Customer API key sent as a bearer token

Path Parameters

coding_run_id*string
Formatuuid

Query Parameters

customer_id?|null

Response Body

Request fulfilled, document follows

application/json
  1. response
truncated?boolean
Defaultfalse
unified_diff*string
Example Request
curl -X GET 'https://api.syndai.ai/api/v1/external/coding/runs/497f6eca-6276-4993-bfeb-53cbbbba6f08/proposed-diff'
Example Response
{  "truncated": false,  "unified_diff": "string"}